INTERFACE
SUBROUTINE CPCHET(KPROMA, KSTART, KPROF, KFLEV, KTSNO,&
 & PFHSCL , PFHSCN , PFHSSL , PFHSSN ,&
 & PFHPCL , PFHPCN , PFHPSL , PFHPSN ,&
 & PDIFCQ , PDIFCQI, PDIFCQL, PDIFCS ,&
 & PDIFTQ , PDIFTQI, PDIFTQL, PDIFTS ,&
 & PFCCQL , PFCCQN , PFCSQL , PFCSQN ,&
 & PFPLCL , PFPLCN , PFPLSL , PFPLSN ,&
 & PFPFPSL, PFPFPSN, PFPFPCL, PFPFPCN,&
 & PFPEVPSL,PFPEVPSN,PFPEVPCL,PFPEVPCN,&
 & PFRMH , PFRSO , PFRTH ,&
 & PSTRCU , PSTRCV , PSTRDU , PSTRDV ,&
 & PSTRTU , PSTRTV , PSTRMU , PSTRMV ,&
 & PRDELP , PCP ,&
 & PT , PQ , PQI , PQL ,&
 & PCPS , PTS , PQS ,&
 & PTENDU , PTENDV , PTENDH , PTENDQ ,&
 & PTENDQI, PTENDQL, PTENDQR, PTENDQS,&
 & PGEMU , PGELAM , PHI , PHIF ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMCHET ,ONLY : GCHET ,GCHETN
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTSNO
REAL(KIND=JPRB) ,INTENT(IN) :: PFHSCL (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHSCN (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHSSL (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHSSN (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPCL (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPCN (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPSL (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPSN (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCQ (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCQI(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCQL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCS (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQ (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQI(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTS (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCCQL (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCCQN (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCSQL (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCSQN (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCL (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCN (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSL (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSN (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRMH (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSO (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTH (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCU (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCV (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDU (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDV (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTU (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTV (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRMU (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRMV (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPFPSL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPFPSN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPFPCL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPFPCN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPEVPSL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPEVPSN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPEVPCL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPEVPCN(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQI (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCPS (KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS (KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS (KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDU (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDV (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDH (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDQ (KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDQI(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDQL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDQR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDQS(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU (KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM (KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI (KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF (KPROMA,KFLEV)
END SUBROUTINE CPCHET
END INTERFACE
